diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index 252920279f..5fe0e8494d 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -1017,18 +1017,15 @@ endif
 # $(1) name of the module (e.g. an extension's name or postgres for core code)
 # $(2) source objects, with .o suffix
 #
+# This makes sure to create the directory structurs if files are in
+# subdirectories.  Note that the many INSTALL_DATA are not particularly
+# fast and that it may be better to coalesce them in the future.
+# The last step generates indexes.
 define install_llvm_module
-# Create target directory
 $(MKDIR_P) "$(DESTDIR)${bitcodedir}/$(1)"
-# Create sub-directories, if files are in subdirectories
 $(MKDIR_P) $(sort $(dir $(addprefix $(DESTDIR)${bitcodedir}/$(1)/, $(2))))
-# Then install files
-#
-# The many INSTALL_DATA invocations aren't particularly fast, it'd be
-# good if we could coalesce them, but I didn't find a good way.
 $(foreach obj, ${2}, $(INSTALL_DATA) $(patsubst %.o,%.bc, $(obj)) $(DESTDIR)/${bitcodedir}/$(1)/$(dir $(obj));
 )
-# and generate index
 (cd "$(DESTDIR)${bitcodedir}" && $(LLVM_BINPATH)/llvm-lto -thinlto -thinlto-action=thinlink -o $(1).index.bc $(addprefix $(1)/,$(patsubst %.o,%.bc, $(2))))
 endef
 
